org.keycloak.provider

## Interface EnvironmentDependentProviderFactory

- All Known Subinterfaces:
    AuthenticationChannelProviderFactory, CIBALoginUserResolverFactory, ClientPolicyConditionProviderFactory, ClientPolicyExecutorProviderFactory
  All Known Implementing Classes:
    AbstractMapProviderFactory, AnyClientConditionFactory, CibaRootEndpoint, ClientAccessTypeConditionFactory, ClientRolesConditionFactory, ClientScopesConditionFactory, ClientUpdaterContextConditionFactory, ClientUpdaterSourceGroupsConditionFactory, ClientUpdaterSourceHostsConditionFactory, ClientUpdaterSourceRolesConditionFactory, ConcurrentHashMapStorageProviderFactory, ConfidentialClientAcceptExecutorFactory, ConsentRequiredExecutorFactory, DeclarativeUserProfileProvider, DefaultCIBALoginUserResolverFactory, DeployedScriptAuthenticatorFactory, DeployedScriptOIDCProtocolMapper, DockerAuthV2ProtocolFactory, FullScopeDisabledExecutorFactory, HolderOfKeyEnforcerExecutorFactory, HttpAuthenticationChannelProviderFactory, MapAuthorizationStoreFactory, MapClientProviderFactory, MapClientScopeProviderFactory, MapDeploymentStateProviderFactory, MapGroupProviderFactory, MapRealmProviderFactory, MapRoleProviderFactory, MapRootAuthenticationSessionProviderFactory, MapUserLoginFailureProviderFactory, MapUserProviderFactory, MapUserSessionProviderFactory, NoLockingDBLockProviderFactory, OpenshiftClientStorageProviderFactory, OpenShiftTokenReviewEndpoint, OpenShiftTokenReviewEndpointFactory, PKCEEnforcerExecutorFactory, ScriptBasedAuthenticatorFactory, ScriptBasedOIDCProtocolMapper, SecureClientAuthenticatorExecutorFactory, SecureClientUrisExecutorFactory, SecureRequestObjectExecutorFactory, SecureResponseTypeExecutorFactory, SecureSessionEnforceExecutorFactory, SecureSigningAlgorithmExecutorFactory, SecureSigningAlgorithmForSignedJwtExecutorFactory, SSSDFederationProviderFactory, WebAuthnAuthenticatorFactory, WebAuthnCredentialProviderFactory, WebAuthnPasswordlessAuthenticatorFactory, WebAuthnPasswordlessCredentialProviderFactory, WebAuthnPasswordlessRegisterFactory, WebAuthnRegisterFactory

      public interface EnvironmentDependentProviderFactory

  Providers that are only supported in some environments can implement this interface to be able to determine if they should be available or not.
  Author:
    Stian Thorgersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSupported()`

- - ### Method Detail

    - #### isSupported

          boolean isSupported()

      Returns:
        `true` if the provider is supported and should be available, `false` otherwise

Copyright © 2021 JBoss by Red Hat. All rights reserved.